Class UmlActivity

Declaration :

- C++ : class UmlActivity : public UmlBaseActivity
- Java : class UmlActivity extends UmlBaseActivity

Artifact : UmlActivity

Operation UmlActivity

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlActivity(in id : item_id, in s : string) :
- C++ : public: UmlActivity(void * id, const QCString & s) : UmlBaseActivity(id, s)
- Java : public UmlActivity(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isReadOnly , isSingleExecution , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isReadOnly , set_isSingleExecution , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload